store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Fri Jul 25, 2014 2:44 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 2 posts ] 
Author Message
 Post subject: Trying to upgrade PHP 4.3.9 -> 5.2.12 failed dependency
Unread postPosted: Tue Mar 02, 2010 11:47 am 
Offline
Forum User
Forum User

Joined: Tue May 05, 2009 11:02 am
Posts: 7
I've been trying to get a Cent 4.5 / Plesk 8.6 installation upgraded to PHP 5.2 for a new customer that wants Joomla 1.5, but am having problems.

I've added and enabled the Atomic, and atomic-testing repos,
ran a yum clean all
removed all excludes from the yum.conf
run yum update php

The final result ends in:

--> Processing Dependency: php-common = 5.2.12-1.el4.art for package: php-xml
--> Finished Dependency Resolution
Error: Missing Dependency: php-common = 5.2.12-1.el4.art is needed by package php-xml

Any words of wisdom? I know this subject is beat to death around here, but nothing seems to work for me, and those who have posted before with the same issue never post back a fix.

What uses php-xml on a plesk box? If it's a function I don't use (1.e. sitebuilder), I'll remove it.

Thanks


Top
 Profile  
 
 Post subject: Re: Trying to upgrade PHP 4.3.9 -> 5.2.12 failed dependency
Unread postPosted: Sat Mar 27, 2010 9:02 am 
Offline
Forum User
Forum User

Joined: Fri Mar 12, 2010 6:28 am
Posts: 12
daffoml wrote:
I've been trying to get a Cent 4.5 / Plesk 8.6 installation upgraded to PHP 5.2 for a new customer that wants Joomla 1.5, but am having problems.

I've added and enabled the Atomic, and atomic-testing repos,
ran a yum clean all
removed all excludes from the yum.conf
run yum update php

The final result ends in:

--> Processing Dependency: php-common = 5.2.12-1.el4.art for package: php-xml
--> Finished Dependency Resolution
Error: Missing Dependency: php-common = 5.2.12-1.el4.art is needed by package php-xml

Any words of wisdom? I know this subject is beat to death around here, but nothing seems to work for me, and those who have posted before with the same issue never post back a fix.

What uses php-xml on a plesk box? If it's a function I don't use (1.e. sitebuilder), I'll remove it.

Thanks



first uninstall php then do yum install php


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group